package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Processing_agent_child;
import com.realnet.vpspack.Services.Processing_agent_childService ;
























@RequestMapping(value = "/Processing_agent_child")
 @CrossOrigin("*") 
@RestController
public class Processing_agent_childController {
	@Autowired
	private Processing_agent_childService Service;

@Value("${projectPath}")
	private String projectPath;
 
























	@PostMapping("/Processing_agent_child")
		  public Processing_agent_child Savedata(@RequestBody Processing_agent_child data) {
		Processing_agent_child save = Service.Savedata(data)	;























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Processing_agent_child/{id}")
	public  Processing_agent_child update(@RequestBody Processing_agent_child data,@PathVariable Integer id ) {
		Processing_agent_child update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Processing_agent_child/getall/page")
	public Page<Processing_agent_child> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Processing_agent_child> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Processing_agent_child")
	public List<Processing_agent_child> getdetails() {
		 List<Processing_agent_child> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Processing_agent_child")
	public List<Processing_agent_child> getallwioutsec() {
		 List<Processing_agent_child> get = Service.getdetails();		
		return get;
}
@GetMapping("/Processing_agent_child/{id}")
	public  Processing_agent_child  getdetailsbyId(@PathVariable Integer id ) {
		Processing_agent_child  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Processing_agent_child/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

























}